require 'spec_helper'
require 'presto'

describe Presto do
	describe "::configuration" do
		it "returns configuration instance" do
			Presto.configuration.must_be_instance_of Presto::Configuration
		end

		it "memoizes configuration instance" do
			config_inst = Presto.configuration
			config_inst_2 = Presto.configuration
			config_inst.object_id.must_equal config_inst_2.object_id
		end
	end
end