require 'spec_helper'
require 'presto/configuration'

describe Presto::Configuration do
	let(:configuration) { Presto::Configuration.new }

	it "sets max_width default of 2000" do
		configuration.max_width.must_equal 2000
	end

	it "sets min_width default of 1" do
		configuration.min_width.must_equal 1
	end

	it "sets max_height default of 2000" do
		configuration.max_height.must_equal 2000
	end

	it "sets min_height default of 1" do
		configuration.min_height.must_equal 1
	end

	it "sets extension_white_list default of 1" do
		configuration.extension_white_list.must_equal %w(jpg png)
	end
end